Studio
List Saved Reference Foods
Lists the foods the calling member saved in the Reference food database, most recently saved first. Only the caller's own foods are returned. A food saved a moment ago can take a moment to appear.
GET
limit?LimitMost foods to return (1 to 50).
Range
1 <= value <= 50Default
20cursor?|next_cursor from the previous page. Omit for the first page.
Successful Response
application/json- response
One page of foods.
items*array<>The foods on this page.
next_cursor*|Pass as cursor for the next page; null on the last page.
curl -X GET 'https://api.bettermenu.live/studio/reference/foods/saved'Example Response
{ "items": [ { "food_id": "string", "name": "string", "brand": "string", "source": "generic", "saved": true, "saved_at": "2019-08-24T14:15:22Z", "first_viewed_at": "2019-08-24T14:15:22Z", "last_viewed_at": "2019-08-24T14:15:22Z", "view_count": 0, "last_portion": { "label": "string", "grams": 0.001 }, "per_100g": { "calories": 0, "total_fat": 0, "total_carbohydrate": 0, "protein": 0 }, "data_version": "string" } ], "next_cursor": "string"}